com.io7m.jcanephora.core

## Enum JCGLPrimitives

- java.lang.Object
- - java.lang.Enum<JCGLPrimitives>
  - - com.io7m.jcanephora.core.JCGLPrimitives

- All Implemented Interfaces:
    Serializable, Comparable<JCGLPrimitives>

      public enum JCGLPrimitives
      extends Enum<JCGLPrimitives>

  Primitive type selection.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRIMITIVE_LINE_LOOP` Render line-loops.
    `PRIMITIVE_LINES` Render lines.
    `PRIMITIVE_POINTS` Render points.
    `PRIMITIVE_TRIANGLE_STRIP` Render triangle strips.
    `PRIMITIVE_TRIANGLES` Render triangles.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLPrimitives` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLPrimitives[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE_LINE_LOOP

          public static final JCGLPrimitives PRIMITIVE_LINE_LOOP

      Render line-loops.

    - #### PRIMITIVE_LINES

          public static final JCGLPrimitives PRIMITIVE_LINES

      Render lines.

    - #### PRIMITIVE_POINTS

          public static final JCGLPrimitives PRIMITIVE_POINTS

      Render points.

    - #### PRIMITIVE_TRIANGLE_STRIP

          public static final JCGLPrimitives PRIMITIVE_TRIANGLE_STRIP

      Render triangle strips.

    - #### PRIMITIVE_TRIANGLES

          public static final JCGLPrimitives PRIMITIVE_TRIANGLES

      Render triangles.

  - ### Method Detail

    - #### values

          public static JCGLPrimitives[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLPrimitives c : JCGLPrimitives.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLPrimitives valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com